# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2004/08/03 10:06:42-06:00 davidm@tiger.hpl.hp.com 
#   ia64: Fix _PAGE_CHG_MASK so PROT_NONE works again.  Caught by Linus.
# 
# include/asm-ia64/pgtable.h
#   2004/08/03 09:39:35-06:00 davidm@tiger.hpl.hp.com +2 -2
#   (_PAGE_CHG_MASK): Fix it so PROT_NONE works again.
# 
diff -Nru a/include/asm-ia64/pgtable.h b/include/asm-ia64/pgtable.h
--- a/include/asm-ia64/pgtable.h	2004-08-03 13:01:55 -07:00
+++ b/include/asm-ia64/pgtable.h	2004-08-03 13:01:55 -07:00
@@ -60,8 +60,8 @@
 #define _PAGE_PROTNONE		(__IA64_UL(1) << 63)
 
 #define _PFN_MASK		_PAGE_PPN_MASK
-/* Mask of bits which may be changed by pte_modify(): */
-#define _PAGE_CHG_MASK		_PAGE_AR_MASK
+/* Mask of bits which may be changed by pte_modify(); the odd bits are there for _PAGE_PROTNONE */
+#define _PAGE_CHG_MASK	(_PAGE_P | _PAGE_PROTNONE | _PAGE_PL_MASK | _PAGE_AR_MASK | _PAGE_ED)
 
 #define _PAGE_SIZE_4K	12
 #define _PAGE_SIZE_8K	13
